# Uses of Class
it.tdlight.jni.TdApi.AccessHashType

## Uses of TdApi.AccessHashType in it.tdlight.jni

Subclasses of TdApi.AccessHashType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.AccessHashTypeChannel`
An access hash of a channel.
`static final class`
`TdApi.AccessHashTypeUser`
An access hash of an user.
Fields in it.tdlight.jni declared as TdApi.AccessHashType
Modifier and Type
Field
Description
`TdApi.AccessHashType`
TdApi.AccessHash.`type`
Access hash type.
Constructors in it.tdlight.jni with parameters of type TdApi.AccessHashType
Modifier
Constructor
Description
``
`AccessHash(long chatId, TdApi.AccessHashType type, long accessHash)`
Access hash.